WordPress 升级 PHP 版本到7.2

WordPress 最近的更新5.2.1已经不在支持老版本的 PHP 环境,没办法只能升级博客到7.0+的 PHP 环境。又在网上搜了一下 PHP 7.0+的版本应该是比之前的5.6性能提高了不少,找到一张对比图如下:

pcc03-1
相同的环境不同的版本测试结果

升级 PHP 前的准备工作:
1、备份整个 WordPress 站点(可以参考《WordPress 超级备份插件:BackWPup》)
小心驶得万年船,在做任何底层操作之前,备份整站肯定没毛病,毕竟数据重要呀!

2、检查主题和插件是否支持最新版 PHP
其实不检测也就有一些冷门插件用不了,毕竟热门插件团队都会及时更新的。如果你不放心可以使用 WordPress 插件 PHP Compatibility Checker 来检测兼容性。这个插件官网就可以下载。懒人通道

pcc01-1

安装完成后在工具下的 PHP Compatibility 中进行检测。

pcc02-1

PHP Version 要检测的 PHP 版本选择,Plugin/Theme status 插件与主题检测,Only scan active plugins and themes 只扫描激活的插件与主题,Scan all plugins and themes 扫描全部插件与主题。

这个扫描过程很慢,老俍足足等了本个小时还没完成就取消了。扫描后应该出现的结果如下:

pcc04-1

绿色代表兼容,黄色表示该插件更新后可兼容,红色表示不兼容,灰色表示无法读取。

网站这边都完事了,就可以到主机提供商的虚拟主机控制面板,切换所需要的 PHP 对应版本。

 收藏 (0) 打赏

您可以选择一种方式赞助本站

支付宝扫一扫赞助

微信钱包扫描赞助

未经允许不得转载:小林博客 www.vvso.cn小林博客 » WordPress 升级 PHP 版本到7.2

分享到: 更多 (0)

评论 抢沙发

切换注册

登录

忘记密码 ?

切换登录

注册